# class KCursorPrivate | I don't want the eventFilter to be in KCursor, so we have another class for that stuff More...
Internal Use Only
Definition | `#include <kcursor_private.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- void start ()
- void stop ()
- void hideCursor ( QWidget * )
- void unhideCursor ( QWidget * )
- virtual bool eventFilter ( QObject *o, QEvent *e )

#### Public Static Methods

- static KCursorPrivate * self ()

#### Public Members

- int hideCursorDelay

## Detailed Description

I don't want the eventFilter to be in KCursor, so we have another class for that stuff

KCursorPrivate * self () | ### self

[static]

void start () | ### start

void stop () | ### stop

void hideCursor ( QWidget * ) | ### hideCursor

void unhideCursor ( QWidget * ) | ### unhideCursor

bool eventFilter ( QObject *o, QEvent *e ) | ### eventFilter

[virtual]

Reimplemented from QObject.

int hideCursorDelay | ### hideCursorDelay

- Author: Carsten Pfeiffer <pfeiffer@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.